<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zhongzheng.modules.activity.mapper.ActivityConfigurationCourseMapper">

    <resultMap type="com.zhongzheng.modules.activity.domain.ActivityConfigurationCourse" id="ActivityConfigurationCourseResult">
        <result property="configurationId" column="configuration_id"/>
        <result property="courseId" column="course_id"/>
    </resultMap>



    <insert id="insertCourse" parameterType="map">
        insert into activity_configuration_course (
            configuration_id,
            course_id
        )values(
                   #{configurationId},
                   #{courseId}
               )
    </insert>

    <select id="selectConfiguraList" parameterType="map" resultType="long">
        select course_id from activity_configuration_course WHERE 1=1 AND configuration_id =#{id}

    </select>

</mapper>